# Uses of Class
ij.plugin.frame.RoiManager

Packages that use RoiManager
Package
Description
ij.macro
ij.plugin.filter
ij.plugin.frame

## Uses of RoiManager in ij.macro

Methods in ij.macro that return RoiManager
Modifier and Type
Method
Description
`static RoiManager`
Interpreter.`getBatchModeRoiManager()`
Returns the batch mode RoiManager instance.

## Uses of RoiManager in ij.plugin.filter

Methods in ij.plugin.filter with parameters of type RoiManager
Modifier and Type
Method
Description
`static void`
ParticleAnalyzer.`setRoiManager(RoiManager manager)`
Sets the RoiManager to be used by the next ParticleAnalyzer instance.

## Uses of RoiManager in ij.plugin.frame

Methods in ij.plugin.frame that return RoiManager
Modifier and Type
Method
Description
`static RoiManager`
RoiManager.`getInstance()`
Returns a reference to the ROI Manager, or null if it is not open and a batch mode macro is not running.
`static RoiManager`
RoiManager.`getInstance2()`
Returns a reference to the ROI Manager window or to the macro batch mode RoiManager, or null if neither exists.
`static RoiManager`
RoiManager.`getRawInstance()`
`static RoiManager`
RoiManager.`getRoiManager()`
Returns a reference to the ROI Manager if it open or opens it if it is not already open.